Subject: bug#10288: 24.0.92; font-lock-mode/c++-mode extremely slow on this file

From: Alan Mackenzie <[email-masked]>
Date: Fri, 27 Jan 2012 10:47:59 +0000

On Fri, Jan 27, 2012 at 03:58:29PM +0800, Chong Yidong wrote:
> Kan-Ru Chen <[email-masked]> writes:

> > File attached.

> > $ emacs -Q -nw test.cpp

> > Emacs become slow to complete unresponsive if the pointer was in the
> > middle of the initializer.

> Was this bug the one recently fixed in trunk, as discussed in the "Slow
> fontification in C mode buffers" emacs-devel thread (in which case it
> should be closed)?  Or is it a separate issue?

The fix (revision #106889) solved this bug (#10288) amongst several
related (but not the same) problems.  I've closed #10288 in debbugs.

-- 
Alan Mackenzie (Nuremberg, Germany).